* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  height: 100%;
}

body {
  height: 100%;
}

ul {
  list-style: none;
}

nav {
  background-color: #07354c;
  position: fixed;
  width: 100%;
  z-index: 2;
}
nav ul {
  display: flex;
}
nav ul li {
  border-right: 1px solid black;
  color: white;
  cursor: pointer;
  padding: 1.25rem;
  transition: background-color, color 0.2s ease-out;
}

nav ul li:hover {
  background-color: #1ab3ff;
  color: #1d181a;
}

.controls {
  margin: 80px 0;
  padding: 0 20px;
  position: absolute;
  z-index: 1;
}

.controls label {
  display: flex;
  flex-direction: column;
  font-weight: bold;
}
.controls label input {
  margin: 16px 0;
}

#main {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.algorithm {
  align-items: center;
  display: flex;
  flex: 1;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin: 0 auto;
  perspective: 2000px;
  perspective-origin: center top;
  text-align: center;
  width: 100%;
}

.algorithm__elements {
  display: flex;
  margin: 0;
  transform: translate3d(0, 0, 0) scale(0.75);
  transform-style: preserve-3d;
  width: 100%;
}

.element {
  transition: transform 150ms ease-out;
  position: absolute;
}

.box {
  height: 100px;
  justify-content: center;
  padding: 7px 0;
  transform: translate3d(0, 0, -1000px) rotateX(-7200deg) rotateZ(0);
  transform-style: preserve-3d;
  width: 100px;
}

.box__face {
  align-items: center;
  background-color: rgba(255, 0, 0, 0.75);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 50% 50%;
  border: 1px solid black;
  border-radius: 2px;
  display: flex;
  font-size: 4rem;
  height: 100px;
  justify-content: center;
  position: absolute;
  width: 100px;
}

.box__face--front {
  transform: rotateY(0) translateZ(50px);
}

.box__face--back {
  transform: rotateY(-180deg) rotateZ(180deg) translateZ(50px);
}

.box__face--left {
  transform: rotateY(-90deg) translateZ(50px);
}
.box__face--right {
  transform: rotateY(90deg) translateZ(50px);
}

.box__face--top {
  transform: rotateX(90deg) translateZ(50px);
}

.box__face--bottom {
  transform: rotateX(-90deg) translateZ(50px);
}
